summaryrefslogtreecommitdiff
path: root/ffmpeg-shadertoy/build.sh
diff options
context:
space:
mode:
authorHunter Kvalevog <hunter@kvog.sh>2026-05-21 20:32:56 -0500
committerHunter Kvalevog <hunter@kvog.sh>2026-05-21 20:32:56 -0500
commit045bdf8ceacb5b4b71a7b779ef4ab6dc7d49ba53 (patch)
treed49b59ac2bfd2c7d28c9521c6753b6dba0109419 /ffmpeg-shadertoy/build.sh
parent7609a834a1fbadfa8577d066f40b593fde2f0047 (diff)
Diffstat (limited to 'ffmpeg-shadertoy/build.sh')
-rwxr-xr-xffmpeg-shadertoy/build.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/ffmpeg-shadertoy/build.sh b/ffmpeg-shadertoy/build.sh
new file mode 100755
index 0000000..11bfd0f
--- /dev/null
+++ b/ffmpeg-shadertoy/build.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -euo pipefail
+mkdir -p bin
+C=$(pkg-config --cflags libavcodec libavformat libswscale sdl3)
+L=$(pkg-config --libs libavcodec libavformat libswscale sdl3)
+cc -o bin/ffmpeg-shadertoy -Wall -Wextra -Wpedantic -O0 -g $C ./ffmpeg-shadertoy.c $L